Update table properties
deprecated
Update table properties including name, description, tags, and authentication settings
Authentication: required
Required API Scope: Workspace Database: Update
PUT
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
meta
Update table properties
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/meta \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"tag": [
"<string>"
],
"auth": true
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/meta"
payload = {
"name": "<string>",
"description": "<string>",
"tag": ["<string>"],
"auth": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', tag: ['<string>'], auth: true})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/meta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonmultipart/form-data
Response
Success!
The response is of type object.
Related topics
Update table properties including name, description, tags, and authentication settingsXano Metadata API (Instances)Update an existing data source's label and color propertiesWas this page helpful?
⌘I
Update table properties
